Bug 178339

Summary: Resolve ::before and ::after pseudo elements during style resolution
Product: WebKit Reporter: Antti Koivisto <koivisto>
Component: CSSAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, commit-queue, dbates, emilio, esprehn+autocc, kangil.han, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 178408    
Bug Blocks: 157477    
Attachments:
Description Flags
patch
buildbot: commit-queue-
Archive of layout-test-results from ews116 for mac-elcapitan
none
patch
none
patch none

Description Antti Koivisto 2017-10-16 07:26:31 PDT
They are currently resolved during render tree building which creates problems with display:contents and animations.
Comment 1 Antti Koivisto 2017-10-16 07:43:53 PDT
Created attachment 323894 [details]
patch
Comment 2 Build Bot 2017-10-16 11:07:05 PDT
Comment on attachment 323894 [details]
patch

Attachment 323894 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4872020

New failing tests:
inspector/dom/pseudo-element-dynamic.html
imported/blink/animations/pseudo-element-animation-with-color-crash.html
imported/blink/animations/pseudo-element-animation-with-marker-crash.html
Comment 3 Build Bot 2017-10-16 11:07:07 PDT
Created attachment 323910 [details]
Archive of layout-test-results from ews116 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Antti Koivisto 2017-10-16 11:51:05 PDT
Created attachment 323918 [details]
patch
Comment 5 WebKit Commit Bot 2017-10-17 02:21:09 PDT
Comment on attachment 323918 [details]
patch

Clearing flags on attachment: 323918

Committed r223500: <https://trac.webkit.org/changeset/223500>
Comment 6 WebKit Commit Bot 2017-10-17 02:21:11 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2017-10-17 02:22:27 PDT
<rdar://problem/35025601>
Comment 8 WebKit Commit Bot 2017-10-17 14:26:43 PDT
Re-opened since this is blocked by bug 178408
Comment 9 Antti Koivisto 2017-10-18 06:00:39 PDT
Created attachment 324112 [details]
patch

With a null check and a test for the crash
Comment 10 WebKit Commit Bot 2017-10-18 06:41:08 PDT
Comment on attachment 324112 [details]
patch

Clearing flags on attachment: 324112

Committed r223604: <https://trac.webkit.org/changeset/223604>
Comment 11 WebKit Commit Bot 2017-10-18 06:41:10 PDT
All reviewed patches have been landed.  Closing bug.